Package org.eclipse.graphiti.mm.pictograms

# Interface ChopboxAnchor

All Superinterfaces:
  `Anchor`, `org.eclipse.emf.ecore.EObject`, `GraphicsAlgorithmContainer`, `org.eclipse.emf.common.notify.Notifier`, `PictogramElement`, `PropertyContainer`

All Known Implementing Classes:
  `ChopboxAnchorImpl`

public interface ChopboxAnchor extends Anchor
A representation of the model object 'Chopbox Anchor'.

See Also:
  - `PictogramsPackage.getChopboxAnchor()`

## Method Summary

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.Anchor

`getIncomingConnections, getOutgoingConnections, getParent, getReferencedGraphicsAlgorithm, setParent, setReferencedGraphicsAlgorithm`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`